(define-module (type ip-address-list)
    :use-module (srfi srfi-1)
    :use-module (srfi srfi-13)
    :use-module (srfi srfi-14)
    :use-module (alterator woo)
    :use-module ((type ip-address) :select (ip-address?))
    :export (type))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v)
           (every (lambda(x) (ip-address? x))
                  (string-tokenize v (char-set-complement char-set:blank))))
      (type-error (_ "invalid IP address list"))))
