(define-module (type ipv6-network-list)
    :use-module (srfi srfi-1)
    :use-module (srfi srfi-13)
    :use-module (srfi srfi-14)
    :use-module (alterator woo)
    :use-module ((type ipv6-network) :select ipv6-network?)
    :export (type))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v)
           (every (lambda(x) (ipv6-network? x))
                  (string-tokenize v (char-set-complement char-set:blank))))
      (type-error (_ "invalid IPv6 network list"))))
